OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000689OMNeT++runtime / Tkenvpublic2013-11-18 16:262013-12-11 15:47
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.3.1Fixed in Version4.4 
Summary0000689: Tkenv UI glitches on OS X 10.8
DescriptionThere are glitches when starting a Tkenv simulation from the terminal:
- the Tkenv window comes up in the background and has no focus, it has to be brought to foreground manually
- in the initial 'Choose Inifile Configuration' dialog, the OK button vibrates (is constantly re-drawn); this doesn't occur with any other dialog, nor even with the same dialog when invoked later during the program
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000828)
andras (administrator)
2013-11-18 16:44

Observations:
- adding the "raise ." command to the Tkenv startup code doesn't help
- neither does "after idle {raise .}" or "after 10000 {raise .}"
- the flashing of the OK button is also connected to this issue: if you delay creating the dialog (i.e. invoke it from "after 10000 ...") until the main Tkenv window is on top, the button will appear normally and will not keep flashing
(0000841)
rhornig (administrator)
2013-12-06 15:10

The solution is to set the window attributes to "always on top" and then remove it after a while.
(0000854)
rhornig (administrator)
2013-12-06 17:12

The window is no raised using the always on top attribute.

- Issue History
Date Modified Username Field Change
2013-11-18 16:26 andras New Issue
2013-11-18 16:44 andras Note Added: 0000828
2013-12-06 15:10 rhornig Note Added: 0000841
2013-12-06 17:12 rhornig Note Added: 0000854
2013-12-06 17:12 rhornig Status new => resolved
2013-12-06 17:12 rhornig Fixed in Version => 4.4
2013-12-06 17:12 rhornig Resolution open => fixed
2013-12-06 17:12 rhornig Assigned To => rhornig
2013-12-11 15:47 rhornig Assigned To rhornig => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker